var academic_education_lite_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    academic_education_lite_btn.addClass('show');
  } else {
    academic_education_lite_btn.removeClass('show');
  }
});

academic_education_lite_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
});

if(document.getElementById("openModalButton")) {
  if(document.getElementById("openModalButton").getAttribute('data-modal-src')) {
    var modal=document.getElementById("myModal")
    var openModalButton=document.getElementById("openModalButton")
    var closeModalButton=document.getElementById("closeModalButton");
    openModalButton.addEventListener("click",function(){
      let e=jQuery(this).attr("data-modal-src");
      document.getElementById("videoPlayer").src=e
      modal.style.display="block"
    })
    closeModalButton.addEventListener("click",function(){
      document.getElementById("videoPlayer").src=""
      modal.style.display="none"
    })
    window.addEventListener("click",function(e){
      if(e.target==modal) {
        modal.style.display="none"
      } else {
        document.getElementById("videoPlayer").src=""
      }
    });
  }
}

jQuery(document).ready(function ($) {
// Menu Js
    $('.submenu-toggle').click(function () {
        $(this).toggleClass('button-toggle-active');
        var currentClass = $(this).attr('data-toggle-target');
        $(currentClass).toggleClass('submenu-toggle-active');
    });
    $('.skip-link-menu-start').focus(function () {
        if (!$("#offcanvas-menu #primary-nav-offcanvas").length == 0) {
            $("#offcanvas-menu #primary-nav-offcanvas ul li:last-child a").focus();
        }
    });
    // Menu Toggle Js
    $('.navbar-control-offcanvas').click(function () {
        $(this).addClass('active');
        $('body').addClass('body-scroll-locked');
        $('#offcanvas-menu').toggleClass('offcanvas-menu-active');
        $('.button-offcanvas-close').focus();
    });
    $('.offcanvas-close .button-offcanvas-close').click(function () {
        $('#offcanvas-menu').removeClass('offcanvas-menu-active');
        $('.navbar-control-offcanvas').removeClass('active');
        $('body').removeClass('body-scroll-locked');
        setTimeout(function () {
            $('.navbar-control-offcanvas').focus();
        }, 300);
    });
    $('#offcanvas-menu').click(function () {
        $('#offcanvas-menu').removeClass('offcanvas-menu-active');
        $('.navbar-control-offcanvas').removeClass('active');
        $('body').removeClass('body-scroll-locked');
    });
    $(".offcanvas-wraper").click(function (e) {
        e.stopPropagation(); //stops click event from reaching document
    });
    $('.skip-link-menu-end').on('focus', function () {
        $('.button-offcanvas-close').focus();
    });
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.top-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.top-header').addClass("stick_header");
    } else {
      jQuery('.top-header').removeClass("stick_header");
    }
  }
});